%define	upstream_name ess
%define	upstream_version 12.04-4
# (lm) build xemacs-ess from ess-12.04-4. extract of upstream requirements in ANNOUNCE:
# Due to XEmacs lacking some features that ESS requires, ESS support of XEmacs ends with ESS 12.04-4.
# This decision will be re-visited in the future as XEmacs continues to sync with GNU Emacs.

%define xemacs_name xemacs-%{upstream_name}

Summary:	Emacs Speaks Statistics package for XEmacs
Name:		%{xemacs_name}
Version:	12.04.4
Release:	%mkrel 4
License:	GPLv2+
Group:		Editors
URL:		http://ess.r-project.org
Source0:	http://ess.r-project.org/downloads/ess/%{upstream_name}-%{upstream_version}.tgz
BuildRequires:	xemacs
BuildRequires:	xemacs-el
BuildRequires:	texinfo
BuildRequires:	R-base
Requires:	xemacs
Requires:	xemacs-el
BuildArch:      noarch

%description -n %{xemacs_name}
This package provides Emacs Speaks Statistics (ESS) for XEmacs, which provides
XEmacs-based front ends for popular statistics packages.

ESS provides an intelligent, consistent interface between the user and
the software.  ESS interfaces with S-PLUS, R, SAS, BUGS and other
statistical analysis packages under the Unix, Microsoft Windows, and
Apple Mac OS operating systems.  ESS is a package for the GNU Emacs
and XEmacs text editors whose features ESS uses to streamline the
creation and use of statistical software.  ESS knows the syntax and
grammar of statistical analysis packages and provides consistent
display and editing features based on that knowledge.  ESS assists in
interactive and batch execution of statements written in these
statistical analysis languages.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod u+w doc/{html,info,refcard,dir.txt} # fix perms

%build
%make \
	EMACS=xemacs \
	PREFIX=%{_prefix} \
	LISPDIR=%{_datadir}/xemacs/site-lisp/%{upstream_name} \
	ETCDIR=%{_datadir}/xemacs/site-lisp/%{upstream_name}/etc \
	INFODIR=%{_infodir}

# create an init file that is loaded when a user starts up emacs to
# tell emacs to autoload our package's Emacs code when needed

cat > %{xemacs_name}.el <<"EOF"
;;; Set up %{upstream_name} for XEmacs.
;;;
;;; This file is automatically loaded by emacs's site-start.el
;;; when you start a new emacs session.
(if (string-match "XEmacs" emacs-version) (progn (add-path "/usr/share/xemacs/site-lisp/ess")
						(require 'ess-site)))
EOF


%install

install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
install -d %{buildroot}%{_infodir}

%makeinstall_std \
	EMACS=xemacs \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{_datadir}/xemacs/site-lisp/%{upstream_name} \
	ETCDIR=%{buildroot}%{_datadir}/xemacs/site-lisp/%{upstream_name}/etc \
	INFODIR=%{buildroot}%{_infodir} \
	DOCDIR=%{buildroot}%{_docdir}/%{name}

install -m 0644 %{xemacs_name}.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/
mv %{buildroot}%{_infodir}/%{upstream_name}.info %{buildroot}%{_infodir}/%{xemacs_name}.info
rm -f %{buildroot}%{_datadir}/xemacs/site-lisp/%{upstream_name}/etc/*.BAT
rm -f %{buildroot}%{_datadir}/xemacs/site-lisp/%{upstream_name}/etc/*.sparc
rm -f %{buildroot}%{_docdir}/%{name}/*.dvi
rm -f %{buildroot}%{_docdir}/%{name}/*.html
rm -f %{buildroot}%{_docdir}/%{name}/*.pdf


%post
%_install_info %{xemacs_name}

%preun
%_remove_install_info %{xemacs_name}


%files
%doc ANNOUNCE ChangeLog README VERSION
%dir %{_datadir}/xemacs/site-lisp
%dir %{_datadir}/xemacs/site-lisp/%{upstream_name}
%{_datadir}/xemacs/site-lisp/%{upstream_name}
%{_infodir}/%{xemacs_name}.info.xz
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{xemacs_name}.el





%changelog

* Mon Jan 14 2013 umeabot <umeabot> 12.04.4-4.mga3
+ Revision: 386739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 lmenut <lmenut> 12.04.4-3.mga3
+ Revision: 344498
- imported package xemacs-ess

